from byubit import Bit

# Solution for following the path


def follow_color(bit):
    """
    keep moving bit as long as the color of the current square matches
    the color of the square it started on
    """
    # get the current color and store it in a variable
    color = bit.get_color()
    # as long as the color of the current square is equal to the
    # color in the `color` variable...
    while bit.get_color() == color:
        # ... move
        bit.move()


@Bit.run('path')
def run(bit):
    # as long as the front is clear ...
    while bit.front_clear():
        # ... follow the current color
        follow_color(bit)

        if bit.get_color() == 'green':
            # if we are on a green square, turn left
            bit.left()
        elif bit.get_color() == 'blue':
            # if we are on a blue square, turn right
            bit.right()
